class AddOpenIdAuthenticationTables < ActiveRecord::Migration
  # This migration is used to generate tables which track OpenID
  # information. It was generated by the open_id_authentication
  # plugin, which manages the data in conjunction with the
  # Sessions controller.

  def self.up
    create_table :open_id_authentication_associations, :force => true do |t|
      t.integer :issued, :lifetime
      t.string :handle, :assoc_type
      t.binary :server_url, :secret
    end

    create_table :open_id_authentication_nonces, :force => true do |t|
      t.integer :timestamp, :null => false
      t.string :server_url, :salt, :null => false
    end
  end

  def self.down
    drop_table :open_id_authentication_associations
    drop_table :open_id_authentication_nonces
  end
end
